### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess

# Interface OutputParameterInterface

@SASScope("ALL") @BinaryCompatibilityOnly public interface OutputParameterInterface
This interface describes an output parameter. Output parameters can be obtained both from `StoredProcess2Interface` and from `Execution2Interface`. Both interfaces provide methods to return a single output parameter by name or a list of all output parameters.

Since:
  9.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TYPE_DATE`
  `static final String`
  `TYPE_DOUBLE`
  `static final String`
  `TYPE_INTEGER`
  `static final String`
  `TYPE_STRING`
  `static final String`
  `TYPE_TIME`
  `static final String`
  `TYPE_TIMESTAMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description.
  `String`
  `getLabel()`
  Returns the label.
  `String`
  `getName()`
  Returns the name of the output parameter.
  `String`
  `getStringValue()`
  Returns the string representation of the output parameter.
  `String`
  `getType()`
  Returns the type of the output parameter.
  `Object`
  `getTypedValue()`
  Returns the typed value.
  `boolean`
  `isTypedValueValid()`
  Specifies whether a typed value can be obtained using `getTypedValue()`.

- ## Field Details

  - ### TYPE_DATE

    static final String TYPE_DATE
    See Also:
      - Constant Field Values

  - ### TYPE_DOUBLE

    static final String TYPE_DOUBLE
    See Also:
      - Constant Field Values

  - ### TYPE_INTEGER

    static final String TYPE_INTEGER
    See Also:
      - Constant Field Values

  - ### TYPE_TIME

    static final String TYPE_TIME
    See Also:
      - Constant Field Values

  - ### TYPE_TIMESTAMP

    static final String TYPE_TIMESTAMP
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    static final String TYPE_STRING
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDescription

    String getDescription()
    Returns the description.

  - ### getLabel

    String getLabel()
    Returns the label.

  - ### getName

    String getName()
    Returns the name of the output parameter.

  - ### getType

    String getType()
    Returns the type of the output parameter. The type is one of
    - `TYPE_DATE`
    - `TYPE_DOUBLE`
    - `TYPE_INTEGER`
    - `TYPE_TIME`
    - `TYPE_TIMESTAMP`
    - `TYPE_STRING`

  - ### getTypedValue

    Object getTypedValue()
    Returns the typed value. If the value returned from the stored process cannot be converted to a Java object corresponding to the type returned by `getType()`, this method will return null.
    Returns:
      the typed value

  - ### getStringValue

    String getStringValue()
    Returns the string representation of the output parameter. What is returned is the value assigned to the corresponding macro variable without any conversion.
    Returns:
      the string representation of the output parameter

  - ### isTypedValueValid

    boolean isTypedValueValid()
    Specifies whether a typed value can be obtained using `getTypedValue()`. If the value returned from the stored process cannot be converted to a Java object corresponding to the type returned by `getType()`, this method will return false; otherwise, true is returned.
    Returns:
      whether a typed value is obtainable